Bug 189391 - [PATCH] www/nginx: update syslog and upstream_sticky modules
[PATCH] www/nginx: update syslog and upstream_sticky modules
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Some People
Assigned To: Sergey A. Osokin
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-06 12:50 UTC by geoffroy desvernay
Modified: 2014-06-16 09:56 UTC (History)
3 users (show)

See Also:


Attachments
nginx-1.6.0.patch (2.67 KB, patch)
2014-05-06 12:50 UTC, geoffroy desvernay
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description geoffroy desvernay 2014-05-06 12:50:00 UTC
Updated syslog support and upstream_sticky options to re-enable them.

Port maintainer (osa@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.02 (mode: change, diff: SVN)

Fix: Update attached :)
How-To-Repeat: These options were disabled and marked 'need update'
Comment 1 Edwin Groothuis freebsd_committer 2014-05-06 12:50:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->osa

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 geoffroy desvernay 2014-05-06 13:25:54 UTC
This is a multi-part message in MIME format.
Comment 3 Rafael Coninck Teigão 2014-06-05 18:10:48 UTC
Hello,

Yesterday I applied the patch and tried compiling the port first enabling just the sticky module and than enabling both the sticky and syslog modules.

The sticky module went alright, but when I enabled the syslog module, the build failed because the following file could not be found:

nginx_syslog_patch-3ca5ba6.tar.gz
Comment 4 geoffroy desvernay 2014-06-11 21:27:39 UTC
Strange: I can fetch https://github.com/yaoweibin/nginx_syslog_patch/tarball/3ca5ba6/nginx_syslog_patch-3ca5ba6.tar.gz with no problem 
… and I'm building nginx port wth this patch and SYSLOG two times a week for 9amd64, 10amd64, 8amd64, 9i386 … and it seems to compile cleanly

an https/tls certificate check problem maybe ? or a special OPTIONS's cocktail ?
Comment 5 Rafael Coninck Teigão 2014-06-11 21:45:37 UTC
Just checked... I can download it again.
Comment 6 Erwin Lansing freebsd_committer 2014-06-16 09:56:28 UTC
Committed, thanks!
Comment 7 commit-hook freebsd_committer 2014-06-16 09:56:50 UTC
A commit references this bug:

Author: erwin
Date: Mon Jun 16 09:55:54 UTC 2014
New revision: 357965
URL: http://svnweb.freebsd.org/changeset/ports/357965

Log:
  Updated syslog support and upstream_sticky options to re-enable them.

  PR:             189391
  Submitted by:   dgeo@centrale-marseille.fr
  Approved by:    maintainer timeout

Changes:
  head/www/nginx/Makefile
  head/www/nginx/distinfo